function HandleCheckDoc( doc )
{
	param = new Object;
	param.destEntries = new Array;

	lib_xmc.curDocCheckParam = param;
	
	CheckElem( param, doc.TopElem );

	if ( param.destEntries.length == 0 )
	{
		ActiveScreen.MsgBox( '  ', ' ', 'info' );
		
		if ( lib_xmc.show_bottom_panel )
		{
			lib_xmc.show_bottom_panel = false;
			ActiveScreen.Update();
		}

		return;
	}

	ActiveScreen.MsgBox( '     .    ,   ', ' ', 'error' );

	lib_xmc.show_bottom_panel = true;
	ActiveScreen.Update();

	/*tempUrl = ObtainSessionTempFile( '.txt' );
	PutUrlData( tempUrl, BuildErrorDesc( param ) );
	ShellExecute( 'open', tempUrl );
	*/
}


function CheckElem( param, elem )
{
	if ( elem.FormElem.IsOptional )
		return;

	if ( elem.FormElem.IsTemp )
		return;

	if ( elem.OptParent != undefined && ! elem.Parent.ChildExists( elem.Name ) )
		return;

	CheckElemValue( param, elem );

	for ( subElem in elem )
		CheckElem( param, subElem );
}


function CheckElemValue( param, elem )
{
	if ( elem.OptParent == undefined )
		return;

	if ( elem.Type == '' )
	{
		if ( ArrayCount( elem.FormElem ) == 1 && elem.FormElem[0].IsMultiple && elem.ChildNum == 0 )
			param.destEntries.push( elem );
	}
	else if ( elem.Type != 'bool' )
	{
		if ( ! elem.HasValue )
			param.destEntries.push( elem );
	}
}


function BuildErrorDesc( param )
{
	destStream = new BufStream;
	destStream.PrepareWriteSpace( 1024 );

	for ( elem in param.destEntries )
	{
		destStream.WriteStr( BuildElemDispPath( elem ) );
		destStream.WriteStr( '\r\n' );
		destStream.WriteStr( '   \r\n' );
		destStream.WriteStr( '\r\n' );
	}
	
	return destStream.DetachStr();
}


function BuildElemDispPath( elem )
{
	str = '';
	count = 0;

	for ( curElem = elem; curElem.OptParent != undefined; curElem = curElem.OptParent )
	{
		if ( curElem.OptParent == undefined )
			break;

		if ( count != 0 )
			str = ' // ' + str;

		str = GetElemDispName( curElem ) + str;
		count++;
	}

	return str;
}


function GetElemDispName( elem )
{
	if ( elem.Title != '' )
		return elem.Title;

	/*parent = elem.OptParent;
	if ( parent != undefined && ( index = elem.ChildIndex ) != 0 )
	{
		prevElem = parent[index - 1];
		if ( prevElem.FormElem
	}*/

	return '<' + elem.Name + '>';
}

