<?xml version="1.0" encoding="Windows-1251"?>

<general TYPE="COLLECTION">
	<org TYPE="FRAGMENT" TITLE=" ">
		<name TYPE="STRING" TITLE=" "/>
		<short_name TYPE="STRING" TITLE=" " WIDTH="60"/>

		<legal_address TYPE="STRING" TITLE=" "/>
		<postal_address TYPE="STRING" TITLE=" "/>
		<inn TYPE="STRING" SIZE="10" ALPHABET_="$$NUMBER" TITLE=""/>
		<issuer_code TYPE="STRING" TITLE=" " SIZE="7"/>

		<has_stocks TYPE="BOOLEAN" TEMP="true" NOSHOW="true" TITLE="  " EXPR="String( name ).toLowerCase().indexOf( '' ) &lt; 0 &amp;&amp; String( name ).toLowerCase().indexOf( '   ' ) &lt; 0"/>

		<phone TYPE="STRING" TITLE="" WIDTH="50"/>
		<fax TYPE="STRING" TITLE="" WIDTH="50"/>
		<email TYPE="STRING" TITLE="  " WIDTH="50"/>
	</org>

	<person TYPE="FRAGMENT" TITLE=" ">
		<lastname TYPE="STRING" TITLE="" NOSHOW="paper" WIDTH="40"/>
		<firstname TYPE="STRING" TITLE="" NOSHOW="paper" WIDTH="40"/>
		<middlename TYPE="STRING" TITLE="" NOSHOW="paper" WIDTH="40"/>

		<fullname TYPE="STRING" TEMP="true" NOSHOW="screen" TITLE="" EXPR="lastname + ' ' + firstname + ' ' + middlename"/>

		<birth_year TYPE="INTEGER" TITLE=" "/>
	</person>

	<entity TYPE="FRAGMENT" TITLE=" (  )">
		<entity_type TYPE="INTEGER" NOSHOW="paper" DEFAULT="0" MODEL="common.smt" FULLPATH="common.entity_types" COLUMND="id" COLUMNS="name"/>
		<i TYPE="ELEMREF" FULLPATH="general.org" ELEMS="name,short_name,legal_address,postal_address,inn,has_stocks" EXIST-REQ="entity_type == 0"/>
		<i TYPE="ELEMREF" FULLPATH="general.person" EXIST-REQ="entity_type == 1"/>
		<address TYPE="STRING" TITLE=" " EXIST-REQ="entity_type == 1"/>
		<i TYPE="ELEMREF" FULLPATH="general.org" ELEMS="phone,fax,email"/>

		<entity_name TYPE="STRING" TEMP="true" NOSHOW="true" TITLE="" EXPR="entity_type == 0 ? name : fullname"/>
	</entity>

	<share_ext_common TYPE="FRAGMENT" TITLE="          ">
		<share TYPE="REAL" TITLE="     , %"/>
		<share_common TYPE="REAL" TITLE="   ,   , %" EXIST-REQ="Doc.TopElem.has_stocks"/>
	</share_ext_common>

	<sub_share_ext_common TYPE="FRAGMENT" TITLE="      ()      ">
		<sub_share TYPE="REAL" TITLE="      () , %"/>
		<sub_share_common TYPE="REAL" TITLE="    () ,   , %" EXIST-REQ="Parent.Parent.has_stocks"/>
	</sub_share_ext_common>

	<issuer_share_ext_common TYPE="FRAGMENT" TITLE="          ">
		<issuer_share TYPE="REAL" TITLE="     , %"/>
		<issuer_share_common TYPE="REAL" TITLE="   ,  , %" EXIST-REQ="has_stocks"/>
	</issuer_share_ext_common>

	<unit_member TYPE="FRAGMENT" TITLE="  ">
		<i TYPE="ELEMREF" FULLPATH="general.person" MODEL="general.smt"/>
		<is_head TYPE="BOOLEAN" NOSHOW="paper" TITLE="" TRIGGER="
				if ( is_head )
				{
					for ( i = 0; i &lt; Parent.ChildNum; i++ )
					{
						if ( Parent[i] != is_head.Parent )
							Parent[i].is_head = false;
					}
				}
		"/>

		<head_flag TYPE="STRING" TEMP="true" NOSHOW="screen" DEFAULT="()" EXIST-REQ="is_head"/>

		<education TYPE="STRING" TITLE="  "/>

		<c TYPE="STRUCTURE" NODE="false" TITLE=" ,           5     ,     "/>

		<prev_job TYPE="ARRAY" NAMEFIELD="(start_date + ' ' + end_date):(org.name):position" NAMECOL="::" PORTION="20:40:40">
			<start_date TYPE="STRING" TITLE="  " WIDTH="15"/>

			<end_date TYPE="STRING" TITLE="  " WIDTH="15">
				<none TYPE="ALT" TITLE="  "/>
			</end_date>

			<org TYPE="STRUCTURE" NODE="false">
				<name TYPE="STRING" TITLE=" "/>
			</org>
				
			<position TYPE="STRING" TITLE=""/>
		</prev_job>

		<i TYPE="ELEMREF" FULLPATH="general.share_ext_common" MODEL="general.smt"/>

		<aff_share TYPE="ARRAY" NAMEFIELD="name:share" NAMECOL=":, %" PORTION="80:20" TITLE="     ()  ( )     ">
			<i TYPE="ELEMREF" FULLPATH="general.org" MODEL="general.smt" ELEMS="name,has_stocks"/>
			<share TYPE="REAL" TITLE="     , %"/>
			<share_common TYPE="REAL" TITLE="   ,   , %" EXIST-REQ="has_stocks"/>
		</aff_share>

		<relations TYPE="STRING" TITLE="        ,       /    -  ">
			<none TYPE="ALT" TITLE="   "/>
		</relations>
	</unit_member>

	<year_quarter TYPE="FRAGMENT" TITLE="+">
		<year TYPE="INTEGER" TITLE=""/>
		<quarter TYPE="INTEGER" TITLE="" MODEL="common.smt" FULLPATH="common.quarters" COLUMND="id" COLUMNS="name"/>
	</year_quarter>

	<bank_account TYPE="FRAGMENT" TITLE=" ">
		<bank TYPE="STRUCTURE" NODE="false" TITLE=" ">
			<i TYPE="ELEMREF" FULLPATH="general.org" ELEMS="name,short_name,legal_address,inn"/>
			<bic TYPE="STRING" TITLE=""/>
		</bank>
			
		<no TYPE="STRING" TITLE=" "/>
		<cno TYPE="STRING" TITLE=". "/>
		<type TYPE="STRING" TITLE=" "/>
	</bank_account>

	<license TYPE="FRAGMENT" TITLE="">
		<lic_org TYPE="STRUCTURE" NODE="false">
			<name TYPE="STRING" TITLE=" ,  "/>
		</lic_org>
			
		<no TYPE="STRING" TITLE=""/>
		<activity TYPE="STRING" TITLE="  () "/>

		<start_date TYPE="DATE" TITLE=" "/>

		<end_date TYPE="DATE" TITLE="  ">
			<none TYPE="ALT" TITLE=""/>
		</end_date>
	</license>

	<prof_license TYPE="FRAGMENT" TITLE="     ">
		<no TYPE="STRING" TITLE=""/>

		<start_date TYPE="DATE" TITLE=" "/>

		<end_date TYPE="DATE" TITLE="  ">
			<none TYPE="ALT" TITLE=""/>
		</end_date>

		<lic_org TYPE="STRUCTURE" NODE="false">
			<name TYPE="STRING" TITLE=" ,  " DEFAULT=" () "/>
		</lic_org>
	</prof_license>

	<sec TYPE="FRAGMENT" TITLE="   ">
		<sec_type_id TYPE="INTEGER" TITLE="  " MODEL="common.smt" FULLPATH="common.sec_types" COLUMND="id" COLUMNS="name" DEFAULT="1"/>
		<stock_cat_id TYPE="INTEGER" TITLE=" " MODEL="common.smt" FULLPATH="common.stock_cats" COLUMND="id" COLUMNS="name" DEFAULT="0" EXIST-REQ="sec_type_id == 1"/>
		<sec_form_id TYPE="INTEGER" TITLE="  " MODEL="common.smt" FULLPATH="common.sec_forms" COLUMND="id" COLUMNS="name" DEFAULT="true"/>
		<stock_type TYPE="STRING" TITLE=" " EXIST-REQ="sec_type_id == 1 &amp;&amp; stock_cat_id == 2"/>
		<bond_ser TYPE="STRING" TITLE=" " EXIST-REQ="sec_type_id == 2"/>

		<canonical_name TYPE="STRING" TEMP="0" NOSHOW="true" EXPR="( sec_type_id == 1 ? '' + ( stock_cat_id == 1 ? ' ' : ' ' ) : '' )"/>

		<par_value TYPE="REAL" TITLE=" "/>
		<currency_code TYPE="STRING" TITLE="" DEAULT="RUR"/>
	</sec>

	<issue TYPE="FRAGMENT" TITLE="  ">
		<i TYPE="ELEMREF" FULLPATH="general.sec"/>
		<quantity TYPE="INTEGER" TITLE="   "/>

		<reg_date TYPE="DATE" TITLE="   "/>
		<reg_no TYPE="STRING" TITLE=" " WIDTH="20"/>
		<reg_org_id TYPE="INTEGER" TITLE=" " MODEL="common.smt" FULLPATH="common.issue_reg_orgs" COLUMND="id" COLUMNS="name"/>
		<reg_org_name TYPE="STRING" TITLE="  " EXIST-REQ="reg_org_id == 1000"/>

		<placement_type_id TYPE="INTEGER" TITLE=" " MODEL="common.smt" FULLPATH="common.placement_types" COLUMND="id" COLUMNS="name"/>
		<placement_start_date TYPE="DATE" TITLE="  "/>
		<placement_end_date TYPE="DATE" TITLE="  "/>

		<cur_state_id TYPE="INTEGER" TITLE=" " MODEL="common.smt" FULLPATH="common.issue_states" COLUMND="id" COLUMNS="name"/>
		<placed_quantity TYPE="INTEGER" TITLE="   "/>

		<placement_terms TYPE="STRING" MULTILINE="true"/>
		<c ELEM="false" TYPE="STRING" NOSHOW="paper" TITLE="(    )"/>

		<has_report TYPE="BOOLEAN" TITLE="    " DEFAULT="false"/>
		<report TYPE="STRUCTURE" NODE="false" EXIST-REQ="has_report">
			<reg_date TYPE="DATE" TITLE="      "/>
			<reg_org_id TYPE="INTEGER" TITLE=" " MODEL="common.smt" FULLPATH="common.issue_reg_orgs" COLUMND="id" COLUMNS="name"/>
		</report>
	</issue>
</general>
