function check_online_update()
{
	baseUrl = 'http://e-disclosure.ru/download/Anketa_FFMS/';

	srcDoc = OpenDoc( baseUrl + 'application.xml' );

	appDoc = FetchDoc( 'fg_application.xml' );

	if ( appDoc.TopElem.build_date >= srcDoc.TopElem.build_date )
	{
		ActiveScreen.MsgBox( '  ', ' ', 'info' );
		return;
	}

	if ( ! ActiveScreen.MsgBox( '    ' + srcDoc.TopElem.version + '  ' + StrDate( srcDoc.TopElem.build_date, false ) + '.\n  ?', ' ', 'question', 'yes,no' ) )
		Cancel();

	packageUrl = baseUrl + 'package.zip';
	
	tempDir = UrlToFilePath( ObtainSessionTempFile() );
	CreateDirectory( tempDir );

	tempFilePath = FilePath( tempDir, 'client-setup.zip' );
	PutFileData( tempFilePath, LoadUrlData( packageUrl ) );

	ZipExtract( tempFilePath, tempDir );

	MoveFile( FilePath( FilePath( tempDir, 'Uninstall' ), 'sx_setup.exe' ), FilePath( tempDir, 'sx_setup.exe' ) );

	scriptFile = FilePath( tempDir, 'client_setup.xjs' );
	PutFileData( scriptFile, StrReplace( LoadUrlData( 'fg_client_setup_SAMPLE.xjs' ), '\'##DEST_DIR##\'', CodeLiteral( AppDirectoryPath() ) ) );

	ShellExecute( 'open', FilePath( tempDir, 'sx_setup.exe' ), '"' + scriptFile + '"' );

	MainScreen.RunCommand( 'Quit' );
	Cancel();
}


function download_update()
{
	baseUrl = 'http://e-disclosure.ru/download/Anketa_FFMS/';

	srcDoc = OpenDoc( baseUrl + 'application.xml' );


	packageUrl = baseUrl + 'package.zip';
	
	if ( IsDirectory( 'C:\update' ) )
    DeleteDirectory( 'C:\update' );

		
	
	
	tempDir = 'C:\update';
	CreateDirectory( tempDir );

	tempFilePath = FilePath( tempDir, 'client-setup.zip' );
	PutFileData( tempFilePath, LoadUrlData( packageUrl ) );

	
}

function check_vers()
{
	baseUrl = 'http://e-disclosure.ru/download/Anketa_FFMS/';

	srcDoc = OpenDoc( baseUrl + 'application.xml' );

	appDoc = FetchDoc( 'fg_application.xml' );

	if ( appDoc.TopElem.build_date >= srcDoc.TopElem.build_date )
	{
		ActiveScreen.MsgBox( '  . \n     .', ' ', 'info' );
		return;
	}

	if ( ! ActiveScreen.MsgBox( '   . \n    ' + srcDoc.TopElem.version + '  ' + StrDate( srcDoc.TopElem.build_date, false ) + '\n         ,       . +7(499)250-25-84 ') )
		Cancel();


	
}
