<?xml version="1.0" encoding="windows-1251"?>

<issuer_event TYPE="DOCUMENT" DATACREATE="2003-10-25" TITLE="   " PRINT-TITLE="" VERSION="01">
	<a ELEM="false" TYPE="PRINTFORM" MODEL="i_event_2.smp"/>

	<p TYPE="GROUPSTART" TITLE=" "/>

	<name TYPE="STRING" NOSHOW="paper" TITLE=" "/>
	<short_name TYPE="STRING" NOSHOW="paper" TITLE=" "/>
	<legal_address TYPE="STRING" NOSHOW="paper" TITLE=" "/>
	<ogrn TYPE="STRING" NOSHOW="paper" SIZE="20" ALPHABET_="$$NUMBER" TITLE=""/>
	<inn TYPE="STRING" NOSHOW="paper" SIZE="10" ALPHABET_="$$NUMBER" TITLE=""/>
	<issuer_code TYPE="STRING" NOSHOW="paper" TITLE=" " SIZE="7"/>

	<event_date TYPE="DATE" NOSHOW="paper" TITLE="   "/>
	<event_type_id TYPE="INTEGER" NOSHOW="paper" TITLE="  " FULLPATH="issuer_event.event_types" COLUMND="id" COLUMNS="name"/>

	<event_code TYPE="STRING" EDIT="false" NOSHOW="paper" WIDTH="30" TEMP="true" TITLE="  " EXPR="
			StrInt( event_type_id, 2 )
			+ String( issuer_code ).slice( 0, 5 ) + String( issuer_code ).slice( 6, 7 )
			+ StrInt( Date( event_date ).Day, 2 )
			+ StrInt( Date( event_date ).Month, 2 )
			+ Date( event_date ).Year
	"/>

	<web TYPE="STRING" NOSHOW="paper" TITLE="    ,     "/>
	<press TYPE="STRING" NOSHOW="paper" TITLE="    (),     "/>

	<p TYPE="GROUPEND"/>





	<p TYPE="GROUPSTART" TITLE=" "/>
	

	<details TYPE="STRUCTURE" NODE="false" NOSHOW="paper" PRINT-SAMPLE="details">
		<reorg TYPE="STRUCTURE" NODE="false" EXIST-REQ="Parent.event_type_id == 01">
			<reorg_type_id TYPE="STRING" TOCID="2.1." TITLE=" " FULLPATH="issuer_event.reorg_types" COLUMND="id" COLUMNS="name"/>
			<base_unit TYPE="STRING" TOCID="2.2." TITLE="    (  , ),  ,   ,    "/>

			<orig_orgs TYPE="STRING"TOCID="2.3." TITLE="     (   - )    ,   " MULTILINE="1"/>
			<new_orgs TYPE="STRING" TOCID="2.4." TITLE="     (   - )   ,        ,   " MULTILINE="1"/>
			<new_issuer_share TYPE="STRING" TOCID="2.5." TITLE="    ()  ( )  ,    ,   " MULTILINE="1"/>
			<new_date TYPE="STRING" TOCID="2.6." TITLE="  (    ,    , , , ;               )" MULTILINE="1"/>
		</reorg>

		<a_change TYPE="STRUCTURE" NODE="false" EXIST-REQ="Parent.event_type_id == 02">
			<desc TYPE="STRING" TOCID="2.1." TITLE=" (),            10 " MULTILINE="1"/>
			<date TYPE="STRING" TOCID="2.2." TITLE="   (),            10 "/>

			<prev_amount TYPE="STRING" TOCID="2.3." TITLE="        (, ),   ,      ()"/>
			<new_amount TYPE="STRING" TOCID="2.4." TITLE="        (, ),      ()"/>

			<mod_amount TYPE="STRING" TOCID="2.5." TITLE="        "/>
		</a_change>

		<i_change TYPE="STRUCTURE" NODE="false" EXIST-REQ="Parent.event_type_id == 03">
			<desc TYPE="STRING" TOCID="2.1." TITLE=" (),             10 " MULTILINE="1"/>
			<date TYPE="STRING" TOCID="2.2." TITLE="   (),      ()          10 "/>

			<prev_amount TYPE="STRING" TOCID="2.3." TITLE="   ( )     (, ),   ,      ()"/>
			<new_amount TYPE="STRING" TOCID="2.4." TITLE="   ( )     (, ),      ()"/>

			<mod_amount TYPE="STRING" TOCID="2.5." TITLE="   ( )      "/>
		</i_change>

		<deal TYPE="STRUCTURE" NODE="false" EXIST-REQ="Parent.event_type_id == 04">
			<subject TYPE="STRING" TOCID="2.1." TITLE="   " MULTILINE="1"/>
			<desc TYPE="STRING" TOCID="2.2." TITLE=" ,       ,  ,       "/>

			<terms TYPE="STRING" TOCID="2.3." TITLE="    ,     ,            "/>
			<prev_amount TYPE="STRING" TOCID="2.4." TITLE="        (, ),    (  )             "/>

			<date TYPE="STRING" TOCID="2.5" TITLE="   ( )"/>

			<c TYPE="STRING" ELEM="false" TOCID="2.6." TITLE="     ,        ,      "/>
			<approval TYPE="STRUCTURE" NODE="false">
				<none TYPE="ALT" TITLE="   "/>

				<deal_type TYPE="STRING" TOCID="2.6.1." TITLE="  ( ; ,      ;  ,    ,      )"/>
				<unit TYPE="STRING" TOCID="2.6.2." TITLE="  ,     "/>
				<date TYPE="STRING" TOCID="2.6.3." TITLE="     "/>
				<doc_attr TYPE="STRING" TOCID="2.6.4." TITLE="      ()    ,       "/>
			</approval>
		</deal>

		<issue TYPE="STRUCTURE" NODE="false" EXIST-REQ="Parent.event_type_id == 05">
			<info_type_id TYPE="STRING" TITLE=" " PRINT-TITLE="" FULLPATH="issuer_event.issue_info_types" COLUMND="id" COLUMNS="name"/>

			<dec TYPE="STRUCTURE" NODE="false" EXIST-REQ="info_type_id == 'dec'">
				<sec_type_id TYPE="INTEGER" TOCID="2.1.1." TITLE="  " MODEL="common/common.smt" FULLPATH="common.sec_types" COLUMND="id" COLUMNS="name" DEFAULT="1"/>
				<stock_cat_id TYPE="INTEGER" TITLE=" " MODEL="common/common.smt" FULLPATH="common.stock_cats" COLUMND="id" COLUMNS="name" DEFAULT="0" EXIST-REQ="sec_type_id == 1"/>
				<sec_form_id TYPE="INTEGER" TITLE="  " MODEL="common/common.smt" FULLPATH="common.sec_forms" COLUMND="id" COLUMNS="name" DEFAULT="true"/>
				<stock_type TYPE="STRING" TITLE=" " EXIST-REQ="sec_type_id == 1 &amp;&amp; stock_cat_id == 2"/>
				<bond_ser TYPE="STRING" TITLE=" " EXIST-REQ="sec_type_id == 2"/>

				<term_date TYPE="STRING" TOCID="2.1.2." TITLE="  (    )"/>

				<quantity TYPE="INTEGER" TOCID="2.1.3." TITLE="   "/>
				<par_value TYPE="REAL" TITLE="     "/>
				<currency_code TYPE="STRING" TITLE="" DEAULT_="RUR"/>

				<placement_type TYPE="STRING" TOCID="2.1.4." TITLE="   ,          -      " PRINT-TITLE="   "/>
				<placement_desc TYPE="STRING" TOCID="2.1.5." TITLE="    ,     " MULTILINE="1"/>

				<discl TYPE="STRING" TOCID="2.1.6." TITLE=" ,         , -             " PRINT-TITLE="" MULTILINE="1"/>
				<unit TYPE="STRING" TOCID="2.1.7." TITLE="  ,      "/>
				<dec_date TYPE="STRING" TOCID="2.1.8." TITLE="     ()    ,        "/>
				<dec_voting TYPE="STRING" TOCID="2.1.9." TITLE="            " MULTILINE="1"/>
				<dec_proto TYPE="STRING" TOCID="2.1.10." TITLE="      ()    ,        "/>
			</dec>

			<reg TYPE="STRUCTURE" NODE="false" EXIST-REQ="info_type_id == 'reg'">
				<sec_type_id TYPE="INTEGER" TOCID="2.2.1." TITLE="  " MODEL="common/common.smt" FULLPATH="common.sec_types" COLUMND="id" COLUMNS="name" DEFAULT="1"/>
				<stock_cat_id TYPE="INTEGER" TITLE=" " MODEL="common/common.smt" FULLPATH="common.stock_cats" COLUMND="id" COLUMNS="name" DEFAULT="0" EXIST-REQ="sec_type_id == 1"/>
				<sec_form_id TYPE="INTEGER" TITLE="  " MODEL="common/common.smt" FULLPATH="common.sec_forms" COLUMND="id" COLUMNS="name" DEFAULT="true"/>
				<stock_type TYPE="STRING" TITLE=" " EXIST-REQ="sec_type_id == 1 &amp;&amp; stock_cat_id == 2"/>
				<bond_ser TYPE="STRING" TITLE=" " EXIST-REQ="sec_type_id == 2"/>

				<term_date TYPE="STRING" TOCID="2.2.2." TITLE="  (    )"/>

				<reg_no TYPE="STRING" TOCID="2.2.3." TITLE="     " WIDTH="20"/>
				<reg_date TYPE="DATE" TITLE="   "/>
				<reg_org_id TYPE="INTEGER" TOCID="2.2.4." TITLE="  ,      " MODEL="common/common.smt" FULLPATH="common.issue_reg_orgs" COLUMND="id" COLUMNS="name"/>

				<quantity TYPE="INTEGER" TOCID="2.2.5." TITLE="   "/>
				<par_value TYPE="REAL" TITLE="     "/>
				<currency_code TYPE="STRING" TITLE="" DEAULT_="RUR"/>

				<placement_type TYPE="STRING" TOCID="2.2.6." TITLE="   "/>
				<placement_pref TYPE="STRING" TOCID="2.2.7." TITLE="  ()  /       "/>
				<placement_price TYPE="STRING" TOCID="2.2.8." TITLE="       "/>
				<placement_terms TYPE="STRING" TOCID="2.2.9." TITLE="       "/>

				<has_prosp TYPE="BOOLEAN" TOCID="2.2.10." TITLE="  ( )         ( )   "/>
				<prosp_access TYPE="STRING" TOCID="2.2.11." TITLE="    ,     ." MULTILINE="1" EXIST-REQ="has_prosp"/>

				<has_cons TYPE="BOOLEAN" TOCID="2.2.12." TITLE="       " EXIST-REQ="has_prosp"/>
				<cons TYPE="STRUCTURE" NODE="false" EXIST-REQ="has_cons">
					<name TYPE="STRING" TITLE="   "/>
					<short_name TYPE="STRING" TITLE="   "/>
					<legal_address TYPE="STRING" TITLE="  "/>
				</cons>
			</reg>

			<fail TYPE="STRUCTURE" NODE="false" EXIST-REQ="info_type_id == 'fail' || info_type_id == 'inval'">
				<sec_type_id TYPE="INTEGER" TOCID="2.3.1." TITLE="  " MODEL="common/common.smt" FULLPATH="common.sec_types" COLUMND="id" COLUMNS="name" DEFAULT="1"/>
				<stock_cat_id TYPE="INTEGER" TITLE=" " MODEL="common/common.smt" FULLPATH="common.stock_cats" COLUMND="id" COLUMNS="name" DEFAULT="0" EXIST-REQ="sec_type_id == 1"/>
				<sec_form_id TYPE="INTEGER" TITLE="  " MODEL="common/common.smt" FULLPATH="common.sec_forms" COLUMND="id" COLUMNS="name" DEFAULT="true"/>
				<stock_type TYPE="STRING" TITLE=" " EXIST-REQ="sec_type_id == 1 &amp;&amp; stock_cat_id == 2"/>
				<bond_ser TYPE="STRING" TITLE=" " EXIST-REQ="sec_type_id == 2"/>

				<term_date TYPE="STRING" TOCID="2.3.2." TITLE="  (    )"/>

				<reg_no TYPE="STRING" TOCID="2.3.3." TITLE="     " WIDTH="20"/>
				<reg_date TYPE="DATE" TITLE="   "/>
				<reg_org_id TYPE="INTEGER" TOCID="2.3.4." TITLE="  ,      " MODEL="common/common.smt" FULLPATH="common.issue_reg_orgs" COLUMND="id" COLUMNS="name"/>

				<report_reg_date TYPE="STRING" TOCID="2.3.5." TITLE="      " WIDTH="20"/>
				<report_reg_org_id TYPE="INTEGER" TOCID="2.3.6." TITLE="  ,         " MODEL="common/common.smt" FULLPATH="common.issue_reg_orgs" COLUMND="id" COLUMNS="name"/>

				<quantity TYPE="INTEGER" TOCID="2.3.7." TITLE="   "/>
				<par_value TYPE="REAL" TITLE="     "/>
				<currency_code TYPE="STRING" TITLE="" DEAULT_="RUR"/>

				<placement_type TYPE="STRING" TOCID="2.3.8." TITLE="   "/>

				<cancel_org TYPE="STRING" TOCID="2.3.9." TITLE="  ,           "/>
				<cancel_dec_date TYPE="DATE" TITLE="           "/>
				<cancel_date TYPE="DATE" TITLE="     "/>

				<cancel_reason TYPE="STRING" TOCID="2.3.10." TITLE=",      ( )     " MULTILINE="1"/>

				<fund_ret TYPE="STRING" TOCID="2.3.11." TITLE="    ,     ()  ,  ( )     " MULTILINE="1"/>
				<exp TYPE="STRING" TOCID="2.3.12." TITLE="    ,     ( )         ,   " MULTILINE="1"/>
			</fail>

			<report_reg TYPE="STRUCTURE" NODE="false" EXIST-REQ="info_type_id == 'report_reg'">
				<sec_type_id TYPE="INTEGER" TOCID="2.4.1." TITLE="  " MODEL="common/common.smt" FULLPATH="common.sec_types" COLUMND="id" COLUMNS="name" DEFAULT="1"/>
				<stock_cat_id TYPE="INTEGER" TITLE=" " MODEL="common/common.smt" FULLPATH="common.stock_cats" COLUMND="id" COLUMNS="name" DEFAULT="0" EXIST-REQ="sec_type_id == 1"/>
				<sec_form_id TYPE="INTEGER" TITLE="  " MODEL="common/common.smt" FULLPATH="common.sec_forms" COLUMND="id" COLUMNS="name" DEFAULT="true"/>
				<stock_type TYPE="STRING" TITLE=" " EXIST-REQ="sec_type_id == 1 &amp;&amp; stock_cat_id == 2"/>
				<bond_ser TYPE="STRING" TITLE=" " EXIST-REQ="sec_type_id == 2"/>

				<term_date TYPE="STRING" TOCID="2.4.2." TITLE="  (    )"/>

				<reg_no TYPE="STRING" TOCID="2.4.3." TITLE="     " WIDTH="20"/>
				<reg_date TYPE="DATE" TITLE="   "/>
				<reg_org_id TYPE="INTEGER" TOCID="2.4.4." TITLE="  ,      " MODEL="common/common.smt" FULLPATH="common.issue_reg_orgs" COLUMND="id" COLUMNS="name"/>

				<quantity TYPE="INTEGER" TOCID="2.4.5." TITLE="   "/>
				<par_value TYPE="REAL" TITLE="     "/>
				<currency_code TYPE="STRING" TITLE="" DEAULT_="RUR"/>

				<placed_share TYPE="REAL" TOCID="2.4.6." TITLE="          ,  , %"/>

				<placement_type TYPE="STRING" TOCID="2.4.7." TITLE="   "/>
				<placement_start_date TYPE="DATE" TOCID="2.4.8." TITLE="      (   ,       )"/>
				<placement_end_date TYPE="DATE" TOCID="2.4.9." TITLE="      (        ( )           ( )          ( )    )"/>

				<report_reg_date TYPE="STRING" TOCID="2.4.10." TITLE="      " WIDTH="20"/>
				<report_reg_org_id TYPE="INTEGER" TOCID="2.4.11." TITLE="  ,         " MODEL="common/common.smt" FULLPATH="common.issue_reg_orgs" COLUMND="id" COLUMNS="name"/>

				<has_prosp TYPE="BOOLEAN" TOCID="2.4.12." TITLE="  ( )         ( )   "/>
				<prosp_access TYPE="STRING" TOCID="2.4.13." TITLE="    ,     ." MULTILINE="1" EXIST-REQ="has_prosp"/>

				<has_cons TYPE="BOOLEAN" TOCID="2.4.14." TITLE="       " EXIST-REQ="has_prosp"/>
				<cons TYPE="STRUCTURE" NODE="false" EXIST-REQ="has_cons">
					<name TYPE="STRING" TITLE="   "/>
					<short_name TYPE="STRING" TITLE="   "/>
					<legal_address TYPE="STRING" TITLE="  "/>
				</cons>
			</report_reg>

			<report_notif TYPE="STRUCTURE" NODE="false" EXIST-REQ="info_type_id == 'report_notif'">
				<sec_type_id TYPE="INTEGER" TOCID="2.5.1." TITLE="  " MODEL="common/common.smt" FULLPATH="common.sec_types" COLUMND="id" COLUMNS="name" DEFAULT="1"/>
				<stock_cat_id TYPE="INTEGER" TITLE=" " MODEL="common/common.smt" FULLPATH="common.stock_cats" COLUMND="id" COLUMNS="name" DEFAULT="0" EXIST-REQ="sec_type_id == 1"/>
				<sec_form_id TYPE="INTEGER" TITLE="  " MODEL="common/common.smt" FULLPATH="common.sec_forms" COLUMND="id" COLUMNS="name" DEFAULT="true"/>
				<stock_type TYPE="STRING" TITLE=" " EXIST-REQ="sec_type_id == 1 &amp;&amp; stock_cat_id == 2"/>
				<bond_ser TYPE="STRING" TITLE=" " EXIST-REQ="sec_type_id == 2"/>

				<term_date TYPE="STRING" TOCID="2.5.2." TITLE="  (    )"/>

				<reg_no TYPE="STRING" TOCID="2.5.3." TITLE="     " WIDTH="20"/>
				<reg_date TYPE="DATE" TITLE="   "/>
				<reg_org_id TYPE="INTEGER" TOCID="2.5.4." TITLE="  ,      " MODEL="common/common.smt" FULLPATH="common.issue_reg_orgs" COLUMND="id" COLUMNS="name"/>

				<quantity TYPE="INTEGER" TOCID="2.5.5." TITLE="   "/>
				<par_value TYPE="REAL" TITLE="     "/>
				<currency_code TYPE="STRING" TITLE="" DEAULT_="RUR"/>

				<placed_share TYPE="REAL" TOCID="2.5.6." TITLE="          ,  , %"/>

				<foreign_share TYPE="STRING" TOCID="2.5.7." TITLE="             -  ,      ,      ,      ( ),  "/>

				<placement_type TYPE="STRING" TOCID="2.5.8." TITLE="   " DEFAULT=" "/>
				<placement_start_date TYPE="DATE" TOCID="2.5.9." TITLE="      (   ,       )"/>
				<placement_end_date TYPE="DATE" TOCID="2.5.10." TITLE="      (        ( )           ( )          ( )    )"/>

				<report_notif_date TYPE="STRING" TOCID="2.5.11." TITLE="  ()         " WIDTH="20"/>

				<report_notif_access TYPE="STRING" TOCID="2.5.12." TITLE="    ,        " MULTILINE="1"/>
			</report_notif>
		</issue>

		<divi TYPE="STRUCTURE" NODE="false" EXIST-REQ="Parent.event_type_id == 06">
			<sec_type_id TYPE="INTEGER" TOCID="2.1." TITLE="  " MODEL="common/common.smt" FULLPATH="common.sec_types" COLUMND="id" COLUMNS="name" DEFAULT="1"/>
			<stock_cat_id TYPE="INTEGER" TITLE=" " MODEL="common/common.smt" FULLPATH="common.stock_cats" COLUMND="id" COLUMNS="name" DEFAULT="0" EXIST-REQ="sec_type_id == 1"/>
			<sec_form_id TYPE="INTEGER" TITLE="  " MODEL="common/common.smt" FULLPATH="common.sec_forms" COLUMND="id" COLUMNS="name" DEFAULT="true"/>
			<stock_type TYPE="STRING" TITLE=" " EXIST-REQ="sec_type_id == 1 &amp;&amp; stock_cat_id == 2"/>
			<bond_ser TYPE="STRING" TITLE=" " EXIST-REQ="sec_type_id == 2"/>

			<reg_no TYPE="STRING" TOCID="2.2." TITLE="     " WIDTH="20"/>
			<reg_date TYPE="DATE" TITLE="   "/>
			<reg_org_id TYPE="INTEGER" TOCID="2.3." TITLE="  ,      " MODEL="common/common.smt" FULLPATH="common.issue_reg_orgs" COLUMND="id" COLUMNS="name"/>

			<unit TYPE="STRING" TOCID="2.4." TITLE="  ,     ()        (  )  ()   "/>
			<dec_date TYPE="DATE" TOCID="2.5." TITLE="     ()        (  )  ()   "/>
			<dec_proto TYPE="STRING" TOCID="2.6." TITLE="    ()    ,       ()        (  )  ()   "/>

			<amount TYPE="STRING" TOCID="2.7." TITLE="  ,       (),   ,       ();     ()  ,  ()       (),     ()  ,  ()        ()" MULTILINE="1"/>
			<payment_form TYPE="STRING" TOCID="2.8." TITLE="       ( ,  )"/>
			<payment_terms TYPE="STRING" TOCID="2.9." TITLE=",           (  ,  (,  )  )   ,   ,                 ( ), -    "/>

			<uni_amount TYPE="STRING" TOCID="2.10." TITLE="  ,       ();     ()  ,       ()"/>
		</divi>

		<new_owner TYPE="STRUCTURE" NODE="false" EXIST-REQ="Parent.event_type_id == 07">
			<sec_type_id TYPE="INTEGER" TOCID="2.1." TITLE="  " MODEL="common/common.smt" FULLPATH="common.sec_types" COLUMND="id" COLUMNS="name" DEFAULT="1"/>
			<stock_cat_id TYPE="INTEGER" TITLE=" " MODEL="common/common.smt" FULLPATH="common.stock_cats" COLUMND="id" COLUMNS="name" DEFAULT="0" EXIST-REQ="sec_type_id == 1"/>
			<sec_form_id TYPE="INTEGER" TITLE="  " MODEL="common/common.smt" FULLPATH="common.sec_forms" COLUMND="id" COLUMNS="name" DEFAULT="true"/>
			<stock_type TYPE="STRING" TITLE=" " EXIST-REQ="sec_type_id == 1 &amp;&amp; stock_cat_id == 2"/>
			<bond_ser TYPE="STRING" TITLE=" " EXIST-REQ="sec_type_id == 2"/>

			<c TYPE="STRING" ELEM="false" TOCID="2.2." TITLE=",         "/>
			<i TYPE="ELEMREF" FULLPATH="general.entity" MODEL="common/general.smt" ELEMS="entity_type,name,short_name,inn,lastname,firstname,middlename,fullname,entity_name,legal_address,has_stocks"/>
			<is_nom_holder TYPE="BOOLEAN" TITLE=" " DEFAULT="true"/>
			
			
			<share TYPE="REAL" TOCID="2.3." TITLE="   ,    ,         "/>
			<reg_date TYPE="DATE" TOCID="2.4." TITLE="       ,         "/>
		</new_owner>

		<reg_close TYPE="STRUCTURE" NODE="false" EXIST-REQ="Parent.event_type_id == 08">
			<sec_type_id TYPE="INTEGER" TOCID="2.1." TITLE="  " MODEL="common/common.smt" FULLPATH="common.sec_types" COLUMND="id" COLUMNS="name" DEFAULT="1"/>
			<stock_cat_id TYPE="INTEGER" TITLE=" " MODEL="common/common.smt" FULLPATH="common.stock_cats" COLUMND="id" COLUMNS="name" DEFAULT="0" EXIST-REQ="sec_type_id == 1"/>
			<sec_form_id TYPE="INTEGER" TITLE="  " MODEL="common/common.smt" FULLPATH="common.sec_forms" COLUMND="id" COLUMNS="name" DEFAULT="true"/>
			<stock_type TYPE="STRING" TITLE=" " EXIST-REQ="sec_type_id == 1 &amp;&amp; stock_cat_id == 2"/>
			<bond_ser TYPE="STRING" TITLE=" " EXIST-REQ="sec_type_id == 2"/>

			<objective TYPE="STRING" TOCID="2.2." TITLE=",        "/>
			<reg_date TYPE="DATE" TOCID="2.3." TITLE=",        "/>

			<proto TYPE="STRING" TOCID="2.4." TITLE="      ()    ,                ,        "/>
		</reg_close>

		<oblig TYPE="STRUCTURE" NODE="false" EXIST-REQ="Parent.event_type_id == 09">
			<sec_type_id TYPE="INTEGER" TOCID="2.1." TITLE="  " MODEL="common/common.smt" FULLPATH="common.sec_types" COLUMND="id" COLUMNS="name" DEFAULT="1"/>
			<stock_cat_id TYPE="INTEGER" TITLE=" " MODEL="common/common.smt" FULLPATH="common.stock_cats" COLUMND="id" COLUMNS="name" DEFAULT="0" EXIST-REQ="sec_type_id == 1"/>
			<sec_form_id TYPE="INTEGER" TITLE="  " MODEL="common/common.smt" FULLPATH="common.sec_forms" COLUMND="id" COLUMNS="name" DEFAULT="true"/>
			<stock_type TYPE="STRING" TITLE=" " EXIST-REQ="sec_type_id == 1 &amp;&amp; stock_cat_id == 2"/>
			<bond_ser TYPE="STRING" TITLE=" " EXIST-REQ="sec_type_id == 2"/>

			<reg_no TYPE="STRING" TOCID="2.2." TITLE="     " WIDTH="20"/>
			<reg_date TYPE="DATE" TITLE="   "/>


			<oblig_desc TYPE="STRING" TOCID="2.3." TITLE="  ,       ,       , -       "/>
			<oblig_terms TYPE="STRING" TOCID="2.4." TITLE=",       ,   ,           ( ), -    "/>

			<exec TYPE="STRING" TOCID="2.5." TITLE="      () "/>
			<non_exec TYPE="STRING" TOCID="2.6." TITLE="     -   ,       ,       , -       ,     "/>
		</oblig>

		<smeeting TYPE="STRUCTURE" NODE="false" EXIST-REQ="Parent.event_type_id == 10">
			<type_id TYPE="STRING" TOCID="2.1." TITLE="  " FULLPATH="issuer_event.meeting_types" COLUMND="id" COLUMNS="name" DEFAULT="1"/>
			<form_id TYPE="STRING" TOCID="2.2." TITLE="   "/>

			<date TYPE="DATE" TOCID="2.3." TITLE="   "/>
			<address TYPE="STRING" TITLE=" "/>

			<has_quorum TYPE="BOOLEAN" TOCID="2.4." TITLE="  "/>
			<quorum_desc TYPE="STRING" EXIST-REQ="has_quorum"/>

			<items TYPE="STRING" TOCID="2.5." TITLE=",   ,     " MULTILINE="1"/>
			<results TYPE="STRING" TOCID="2.6." TITLE=" ,   " MULTILINE="1"/>
		</smeeting>

		<issue_dec TYPE="STRUCTURE" NODE="false" EXIST-REQ="Parent.event_type_id == 11">
			<unit TYPE="STRING" TOCID="2.1." TITLE="  ,         "/>
			<dec_date TYPE="STRING" TOCID="2.2." TITLE="   ()   ,           "/>
			<proto TYPE="STRING" TOCID="2.3." TITLE="      ()   ,           "/>

			<sec_type_id TYPE="INTEGER" TOCID="2.4." TITLE="  " MODEL="common/common.smt" FULLPATH="common.sec_types" COLUMND="id" COLUMNS="name" DEFAULT="1"/>
			<stock_cat_id TYPE="INTEGER" TITLE=" " MODEL="common/common.smt" FULLPATH="common.stock_cats" COLUMND="id" COLUMNS="name" DEFAULT="0" EXIST-REQ="sec_type_id == 1"/>
			<sec_form_id TYPE="INTEGER" TITLE="  " MODEL="common/common.smt" FULLPATH="common.sec_forms" COLUMND="id" COLUMNS="name" DEFAULT="true"/>
			<stock_type TYPE="STRING" TITLE=" " EXIST-REQ="sec_type_id == 1 &amp;&amp; stock_cat_id == 2"/>
			<bond_ser TYPE="STRING" TITLE=" " EXIST-REQ="sec_type_id == 2"/>

			<quantity TYPE="INTEGER" TOCID="2.5." TITLE="   "/>
			<par_value TYPE="REAL" TITLE="     "/>
			<currency_code TYPE="STRING" TITLE="" DEAULT_="RUR"/>

			<placement_type TYPE="STRING" TOCID="2.6." TITLE="   "/>
			<placement_price TYPE="STRING" TOCID="2.7." TITLE="       "/>
			<placement_terms TYPE="STRING" TOCID="2.8." TITLE=" (   )       "/>
			<placement_desc TYPE="STRING" TOCID="2.9." TITLE="    ,      " MULTILINE="1"/>

			<discl TYPE="STRING" TOCID="2.10." TITLE=" ,         , -             " PRINT-TITLE="" MULTILINE="1"/>
		</issue_dec>
	</details>
	

	<text TYPE="STRING" NOSHOW="paper" TITLE=" " MULTILINE="1"/>
	<p TYPE="GROUPEND"/>






	<p TYPE="GROUPSTART" SHORT-TITLE="" TITLE="   "/>

	<signature TYPE="STRUCTURE" NODE="false" NOSHOW="paper">
		<date TYPE="DATE" TITLE=""/>
		<position TYPE="STRING" TITLE="" WIDTH="40"/>
		<fullname TYPE="STRING" TITLE=".. " WIDTH="40"/>
	</signature>

	<has_signature2 TYPE="BOOLEAN" TEMP="1" NOSHOW="true" EXPR="event_types.GetChildByKey( event_type_id ).use_sig2"/>
	<signature2 TYPE="STRUCTURE" NODE="false" NOSHOW="paper" EXIST-REQ="has_signature2">
		<date TYPE="DATE" TITLE=""/>
		<position TYPE="STRING" TITLE="" DEFAULT=" "/>
		<fullname TYPE="STRING" TITLE=".. "/>
	</signature2>

	<p TYPE="GROUPEND"/>



	<event_types TYPE="VOCABULARY" TITLE="  ">
		<event_type TYPE="STRUCTURE">
			<id TYPE="INTEGER" DEFAULT="01"/>
			<name TYPE="STRING" DEFAULT="   ,     "/>
			<use_sig2 TYPE="BOOLEAN" DEFAULT="false"/>
		</event_type>
		<event_type TYPE="STRUCTURE">
			<id TYPE="INTEGER" DEFAULT="02"/>
			<name TYPE="STRING" DEFAULT="  ,            10 "/>
			<use_sig2 TYPE="BOOLEAN" DEFAULT="true"/>
		</event_type>
		<event_type TYPE="STRUCTURE">
			<id TYPE="INTEGER" DEFAULT="03"/>
			<name TYPE="STRING" DEFAULT="  ,    ()          10 "/>
			<use_sig2 TYPE="BOOLEAN" DEFAULT="true"/>
		</event_type>
		<event_type TYPE="STRUCTURE">
			<id TYPE="INTEGER" DEFAULT="04"/>
			<name TYPE="STRING" DEFAULT="     ,         10         "/>
			<use_sig2 TYPE="BOOLEAN" DEFAULT="true"/>
		</event_type>
		<event_type TYPE="STRUCTURE">
			<id TYPE="INTEGER" DEFAULT="05"/>
			<name TYPE="STRING" DEFAULT="     "/>
			<use_sig2 TYPE="BOOLEAN" DEFAULT="false"/>
		</event_type>
		<event_type TYPE="STRUCTURE">
			<id TYPE="INTEGER" DEFAULT="06"/>
			<name TYPE="STRING" DEFAULT="    ()      "/>
			<use_sig2 TYPE="BOOLEAN" DEFAULT="false"/>
		</event_type>
		<event_type TYPE="STRUCTURE">
			<id TYPE="INTEGER" DEFAULT="07"/>
			<name TYPE="STRING" DEFAULT="      ,    25        "/>
			<use_sig2 TYPE="BOOLEAN" DEFAULT="false"/>
		</event_type>
		<event_type TYPE="STRUCTURE">
			<id TYPE="INTEGER" DEFAULT="08"/>
			<name TYPE="STRING" DEFAULT="     "/>
			<use_sig2 TYPE="BOOLEAN" DEFAULT="false"/>
		</event_type>
		<event_type TYPE="STRUCTURE">
			<id TYPE="INTEGER" DEFAULT="09"/>
			<name TYPE="STRING" DEFAULT="         "/>
			<use_sig2 TYPE="BOOLEAN" DEFAULT="false"/>
		</event_type>
		<event_type TYPE="STRUCTURE">
			<id TYPE="INTEGER" DEFAULT="10"/>
			<name TYPE="STRING" DEFAULT="    "/>
			<use_sig2 TYPE="BOOLEAN" DEFAULT="false"/>
		</event_type>
		<event_type TYPE="STRUCTURE">
			<id TYPE="INTEGER" DEFAULT="11"/>
			<name TYPE="STRING" DEFAULT="           "/>
			<use_sig2 TYPE="BOOLEAN" DEFAULT="false"/>
		</event_type>
	</event_types>


	<reorg_types TYPE="VOCABULARY" TITLE="  ">
		<reorg_type TYPE="STRUCTURE">
			<id TYPE="STRING" DEFAULT="merge"/>
			<name TYPE="STRING" DEFAULT=""/>
		</reorg_type>
		<reorg_type TYPE="STRUCTURE">
			<id TYPE="STRING" DEFAULT="add"/>
			<name TYPE="STRING" DEFAULT=""/>
		</reorg_type>
		<reorg_type TYPE="STRUCTURE">
			<id TYPE="STRING" DEFAULT="split"/>
			<name TYPE="STRING" DEFAULT=""/>
		</reorg_type>
		<reorg_type TYPE="STRUCTURE">
			<id TYPE="STRING" DEFAULT="detach"/>
			<name TYPE="STRING" DEFAULT=""/>
		</reorg_type>
		<reorg_type TYPE="STRUCTURE">
			<id TYPE="STRING" DEFAULT="mod"/>
			<name TYPE="STRING" DEFAULT=""/>
		</reorg_type>
	</reorg_types>


	<issue_info_types TYPE="VOCABULARY" TITLE="  ">
		<issue_info_type TYPE="STRUCTURE">
			<id TYPE="STRING" DEFAULT="dec"/>
			<name TYPE="STRING" DEFAULT="       "/>
		</issue_info_type>
		<issue_info_type TYPE="STRUCTURE">
			<id TYPE="STRING" DEFAULT="reg"/>
			<name TYPE="STRING" DEFAULT="     ( )  "/>
		</issue_info_type>
		<issue_info_type TYPE="STRUCTURE">
			<id TYPE="STRING" DEFAULT="fail"/>
			<name TYPE="STRING" DEFAULT="      "/>
		</issue_info_type>
		<issue_info_type TYPE="STRUCTURE">
			<id TYPE="STRING" DEFAULT="inval"/>
			<name TYPE="STRING" DEFAULT="      "/>
		</issue_info_type>
		<issue_info_type TYPE="STRUCTURE">
			<id TYPE="STRING" DEFAULT="report_reg"/>
			<name TYPE="STRING" DEFAULT="         "/>
		</issue_info_type>
		<issue_info_type TYPE="STRUCTURE">
			<id TYPE="STRING" DEFAULT="report_notif"/>
			<name TYPE="STRING" DEFAULT="          ( )  "/>
		</issue_info_type>
	</issue_info_types>


	<meeting_types TYPE="VOCABULARY" TITLE="  ">
		<meeting_type TYPE="STRUCTURE">
			<id TYPE="STRING" DEFAULT="annual"/>
			<name TYPE="STRING" DEFAULT=""/>
		</meeting_type>
		<meeting_type TYPE="STRUCTURE">
			<id TYPE="STRING" DEFAULT="extra"/>
			<name TYPE="STRING" DEFAULT=""/>
		</meeting_type>
	</meeting_types>
</issuer_event>






